package xiaoqu.home.open.model.db1;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 用户定位
 * </p>
 *
 * @author mk
 * @since 2023-11-22
 */
@TableName("user_location")
@ApiModel(value="UserLocation对象", description="用户定位")
public class UserLocation extends Model<UserLocation> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "创建id")
    @TableField("create_id")
    private Long createId;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private Date createTime;

    @ApiModelProperty(value = "修改id")
    @TableField("modify_id")
    private Long modifyId;

    @ApiModelProperty(value = "修改时间")
    @TableField("modify_time")
    private Date modifyTime;

    @ApiModelProperty(value = "数据状态")
    @TableField("soft_delete")
    private Integer softDelete;

    @ApiModelProperty(value = "用户id")
    @TableField("user_id")
    private Long userId;

    @ApiModelProperty(value = "操作人名")
    @TableField("user_name")
    private String userName;

    @ApiModelProperty(value = "操作手机号")
    @TableField("mobile")
    private String mobile;

    @ApiModelProperty(value = "站点id")
    @TableField("district_id")
    private Long districtId;

    @ApiModelProperty(value = "站点名称")
    @TableField("district_name")
    private String districtName;

    @ApiModelProperty(value = "物业id")
    @TableField("property_id")
    private Long propertyId;

    @ApiModelProperty(value = "所属物业")
    @TableField("property_name")
    private String propertyName;

    @ApiModelProperty(value = "代理id")
    @TableField("agent_id")
    private Long agentId;

    @ApiModelProperty(value = "所属代理")
    @TableField("agent_name")
    private String agentName;

    @ApiModelProperty(value = "信标MAC")
    @TableField("beacon_mac")
    private String beaconMac;

    @ApiModelProperty(value = "部署场景")
    @TableField("scene_name")
    private String sceneName;

    @ApiModelProperty(value = "部署场景id")
    @TableField("scene_id")
    private Long sceneId;

    @ApiModelProperty(value = "场景级别")
    @TableField("scene_level")
    private Integer sceneLevel;

    @ApiModelProperty(value = "手表mac")
    @TableField("watch_mac")
    private String watchMac;

    @ApiModelProperty(value = "手表ID")
    @TableField("watch_id")
    private Long watchId;

    @ApiModelProperty(value = "信标RSSI")
    @TableField("rssi")
    private String rssi;

    @ApiModelProperty(value = "手表IMEI")
    @TableField("watch_imei")
    private String watchImei;

    @ApiModelProperty(value = "信标ID")
    @TableField("beacon_id")
    private Long beaconId;

    @ApiModelProperty(value = "信标名称")
    @TableField("beacon_name")
    private String beaconName;

    @ApiModelProperty(value = "信标广播间隔(ms)")
    @TableField("broadcast_interval")
    private Integer broadcastInterval;

    @ApiModelProperty(value = "信标发射功率(dBm)")
    @TableField("trans_rate")
    private Integer transRate;

    @ApiModelProperty(value = "备注")
    @TableField("memo")
    private String memo;

    @ApiModelProperty(value = "部署区域")
    @TableField("superior_grid_name")
    private String superiorGridName;

    @ApiModelProperty(value = "信标电量")
    @TableField("beacon_power")
    private Integer beaconPower;

    @ApiModelProperty(value = "手表电量")
    @TableField("watch_power")
    private Integer watchPower;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getCreateId() {
        return createId;
    }

    public void setCreateId(Long createId) {
        this.createId = createId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Long getModifyId() {
        return modifyId;
    }

    public void setModifyId(Long modifyId) {
        this.modifyId = modifyId;
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    public Integer getSoftDelete() {
        return softDelete;
    }

    public void setSoftDelete(Integer softDelete) {
        this.softDelete = softDelete;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public Long getDistrictId() {
        return districtId;
    }

    public void setDistrictId(Long districtId) {
        this.districtId = districtId;
    }

    public String getDistrictName() {
        return districtName;
    }

    public void setDistrictName(String districtName) {
        this.districtName = districtName;
    }

    public Long getPropertyId() {
        return propertyId;
    }

    public void setPropertyId(Long propertyId) {
        this.propertyId = propertyId;
    }

    public String getPropertyName() {
        return propertyName;
    }

    public void setPropertyName(String propertyName) {
        this.propertyName = propertyName;
    }

    public Long getAgentId() {
        return agentId;
    }

    public void setAgentId(Long agentId) {
        this.agentId = agentId;
    }

    public String getAgentName() {
        return agentName;
    }

    public void setAgentName(String agentName) {
        this.agentName = agentName;
    }

    public String getBeaconMac() {
        return beaconMac;
    }

    public void setBeaconMac(String beaconMac) {
        this.beaconMac = beaconMac;
    }

    public String getSceneName() {
        return sceneName;
    }

    public void setSceneName(String sceneName) {
        this.sceneName = sceneName;
    }

    public Long getSceneId() {
        return sceneId;
    }

    public void setSceneId(Long sceneId) {
        this.sceneId = sceneId;
    }

    public Integer getSceneLevel() {
        return sceneLevel;
    }

    public void setSceneLevel(Integer sceneLevel) {
        this.sceneLevel = sceneLevel;
    }

    public String getWatchMac() {
        return watchMac;
    }

    public void setWatchMac(String watchMac) {
        this.watchMac = watchMac;
    }

    public Long getWatchId() {
        return watchId;
    }

    public void setWatchId(Long watchId) {
        this.watchId = watchId;
    }

    public String getRssi() {
        return rssi;
    }

    public void setRssi(String rssi) {
        this.rssi = rssi;
    }

    public String getWatchImei() {
        return watchImei;
    }

    public void setWatchImei(String watchImei) {
        this.watchImei = watchImei;
    }

    public Long getBeaconId() {
        return beaconId;
    }

    public void setBeaconId(Long beaconId) {
        this.beaconId = beaconId;
    }

    public String getBeaconName() {
        return beaconName;
    }

    public void setBeaconName(String beaconName) {
        this.beaconName = beaconName;
    }

    public Integer getBroadcastInterval() {
        return broadcastInterval;
    }

    public void setBroadcastInterval(Integer broadcastInterval) {
        this.broadcastInterval = broadcastInterval;
    }

    public Integer getTransRate() {
        return transRate;
    }

    public void setTransRate(Integer transRate) {
        this.transRate = transRate;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }

    public String getSuperiorGridName() {
        return superiorGridName;
    }

    public void setSuperiorGridName(String superiorGridName) {
        this.superiorGridName = superiorGridName;
    }

    public Integer getBeaconPower() {
        return beaconPower;
    }

    public void setBeaconPower(Integer beaconPower) {
        this.beaconPower = beaconPower;
    }

    public Integer getWatchPower() {
        return watchPower;
    }

    public void setWatchPower(Integer watchPower) {
        this.watchPower = watchPower;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "UserLocation{" +
        "id=" + id +
        ", createId=" + createId +
        ", createTime=" + createTime +
        ", modifyId=" + modifyId +
        ", modifyTime=" + modifyTime +
        ", softDelete=" + softDelete +
        ", userId=" + userId +
        ", userName=" + userName +
        ", mobile=" + mobile +
        ", districtId=" + districtId +
        ", districtName=" + districtName +
        ", propertyId=" + propertyId +
        ", propertyName=" + propertyName +
        ", agentId=" + agentId +
        ", agentName=" + agentName +
        ", beaconMac=" + beaconMac +
        ", sceneName=" + sceneName +
        ", sceneId=" + sceneId +
        ", sceneLevel=" + sceneLevel +
        ", watchMac=" + watchMac +
        ", watchId=" + watchId +
        ", rssi=" + rssi +
        ", watchImei=" + watchImei +
        ", beaconId=" + beaconId +
        ", beaconName=" + beaconName +
        ", broadcastInterval=" + broadcastInterval +
        ", transRate=" + transRate +
        ", memo=" + memo +
        ", superiorGridName=" + superiorGridName +
        ", beaconPower=" + beaconPower +
        ", watchPower=" + watchPower +
        "}";
    }
}
